#=======================================================================
# 6.375 Makefile fragment for benchmarks
#-----------------------------------------------------------------------
# $Id: bmark.mk,v 1.2 2006-02-20 04:34:30 cbatten Exp $
#
# Each benchmark directory should have its own fragment which 
# essentially lists what the object files are and how to link them
# into the executable. All object files should additionally be appended
# to the $(objs) variable so that they can be deleted with the clean
# target. All variables should include the benchmark name as a prefix
# so that they are unique.
#

filters_objs = \
	filters.o \
	filters_main.o

filters_test_objs = $(patsubst %.o, %.test.o, $(filters_objs))
filters_perf_objs = $(patsubst %.o, %.perf.o, $(filters_objs))

objs += $(filters_test_objs) $(filters_perf_objs)

filters.test.bin : $(filters_test_objs)
	$(SMIPS_LINK) $(filters_test_objs) -o filters.test.bin

filters.perf.bin : $(filters_perf_objs)
	$(SMIPS_LINK) $(filters_perf_objs) -o filters.perf.bin

