#=======================================================================
# 6.375 Makefile fragment for benchmarks
#-----------------------------------------------------------------------
# $Id: bmark.mk,v 1.2 2006-03-11 08:10:56 cbatten Exp $
#
# Each benchmark directory should have its own fragment which 
# essentially lists what the source files are and how to link them
# into an smips and/or host executable. All variables should include 
# the benchmark name as a prefix so that they are unique.
#

median_c_src = \
	median_main.c \
	median.c \

median_smips_src = \
	median_asm.S \

median_c_objs     = $(patsubst %.c, %.o, $(median_c_src))
median_smips_objs = $(patsubst %.S, %.o, $(median_smips_src))

median_host_bin = median.host.bin
$(median_host_bin) : $(median_c_src)
	$(HOST_COMP) $^ -o $(median_host_bin)

median_smips_bin = median.smips.bin
$(median_smips_bin) : $(median_c_objs) $(median_smips_objs)
	$(SMIPS_LINK) $(median_c_objs) $(median_smips_objs) -o $(median_smips_bin)

junk += $(median_c_objs) $(median_smips_objs) \
        $(median_host_bin) $(median_smips_bin)

