#=======================================================================
# 6.375 Makefile fragment for benchmarks
#-----------------------------------------------------------------------
# $Id: bmark.mk,v 1.2 2006-03-11 08:10:57 cbatten Exp $
#
# Each benchmark directory should have its own fragment which 
# essentially lists what the source files are and how to link them
# into an smips and/or host executable. All variables should include 
# the benchmark name as a prefix so that they are unique.
#

multiply_c_src = \
	multiply_main.c \
	multiply.c \

multiply_smips_src = \
	multiply_asm.S \

multiply_c_objs     = $(patsubst %.c, %.o, $(multiply_c_src))
multiply_smips_objs = $(patsubst %.S, %.o, $(multiply_smips_src))

multiply_host_bin = multiply.host.bin
$(multiply_host_bin) : $(multiply_c_src)
	$(HOST_COMP) $^ -o $(multiply_host_bin)

multiply_smips_bin = multiply.smips.bin
$(multiply_smips_bin) : $(multiply_c_objs) $(multiply_smips_objs)
	$(SMIPS_LINK) $(multiply_c_objs) $(multiply_smips_objs) -o $(multiply_smips_bin)

junk += $(multiply_c_objs) $(multiply_smips_objs) \
        $(multiply_host_bin) $(multiply_smips_bin)

