#=======================================================================
# 6.375 Makefile fragment for benchmarks
#-----------------------------------------------------------------------
# $Id: bmark.mk,v 1.2 2006-03-11 08:10:58 cbatten Exp $
#
# Each benchmark directory should have its own fragment which 
# essentially lists what the source files are and how to link them
# into an smips and/or host executable. All variables should include 
# the benchmark name as a prefix so that they are unique.
#

qsort_c_src = \
	qsort_main.c \

qsort_smips_src = \

qsort_c_objs     = $(patsubst %.c, %.o, $(qsort_c_src))
qsort_smips_objs = $(patsubst %.S, %.o, $(qsort_smips_src))

qsort_host_bin = qsort.host.bin
$(qsort_host_bin) : $(qsort_c_src)
	$(HOST_COMP) $^ -o $(qsort_host_bin)

qsort_smips_bin = qsort.smips.bin
$(qsort_smips_bin) : $(qsort_c_objs) $(qsort_smips_objs)
	$(SMIPS_LINK) $(qsort_c_objs) $(qsort_smips_objs) -o $(qsort_smips_bin)

junk += $(qsort_c_objs) $(qsort_smips_objs) \
        $(qsort_host_bin) $(qsort_smips_bin)
