#=======================================================================
# 6.375 Makefile fragment for benchmarks
#-----------------------------------------------------------------------
# $Id: bmark.mk,v 1.2 2006-03-11 08:10:59 cbatten Exp $
#
# Each benchmark directory should have its own fragment which 
# essentially lists what the source files are and how to link them
# into an smips and/or host executable. All variables should include 
# the benchmark name as a prefix so that they are unique.
#

towers_c_src = \
	towers_main.c \

towers_smips_src = \

towers_c_objs     = $(patsubst %.c, %.o, $(towers_c_src))
towers_smips_objs = $(patsubst %.S, %.o, $(towers_smips_src))

towers_host_bin = towers.host.bin
$(towers_host_bin) : $(towers_c_src)
	$(HOST_COMP) $^ -o $(towers_host_bin)

towers_smips_bin = towers.smips.bin
$(towers_smips_bin) : $(towers_c_objs) $(towers_smips_objs)
	$(SMIPS_LINK) $(towers_c_objs) $(towers_smips_objs) -o $(towers_smips_bin)

junk += $(towers_c_objs) $(towers_smips_objs) \
        $(towers_host_bin) $(towers_smips_bin)

