#=======================================================================
# 6.375 Makefile fragment for benchmarks
#-----------------------------------------------------------------------
# $Id: bmark.mk,v 1.2 2006-03-11 08:11:00 cbatten Exp $
#
# Each benchmark directory should have its own fragment which 
# essentially lists what the source files are and how to link them
# into an smips and/or host executable. All variables should include 
# the benchmark name as a prefix so that they are unique.
#

vvadd_c_src = \
	vvadd_main.c \

vvadd_smips_src = \

vvadd_c_objs     = $(patsubst %.c, %.o, $(vvadd_c_src))
vvadd_smips_objs = $(patsubst %.S, %.o, $(vvadd_smips_src))

vvadd_host_bin = vvadd.host.bin
$(vvadd_host_bin) : $(vvadd_c_src)
	$(HOST_COMP) $^ -o $(vvadd_host_bin)

vvadd_smips_bin = vvadd.smips.bin
$(vvadd_smips_bin) : $(vvadd_c_objs) $(vvadd_smips_objs)
	$(SMIPS_LINK) $(vvadd_c_objs) $(vvadd_smips_objs) -o $(vvadd_smips_bin)

junk += $(vvadd_c_objs) $(vvadd_smips_objs) \
        $(vvadd_host_bin) $(vvadd_smips_bin)

